CREATE OR REPLACE PROCEDURE ADD_HOSPITAL_PROCE (DIRECCION IN VARCHAR2,NOMBREHOS IN VARCHAR2,TELEFONOHOS IN VARCHAR2) IS
BEGIN
    INSERT INTO HOSPITAL (DIRECCION_HOS,NOMBRE_HOS,TELEFONO_HOS) VALUES (DIRECCION,NOMBREHOS,TELEFONOHOS);
END;

CREATE SEQUENCE HOSP_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger HOSPITAL_TRIGGER  
   before insert on "CLINICA"."HOSPITAL" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_HOSPITAL" is null then 
         select HOSP_SEQUENCE.nextval into :NEW."ID_HOSPITAL" from dual; 
      end if; 
   end if; 
end;


